Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class SelectionType

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.SelectionType

public class SelectionType
extends java.lang.Object

Field Summary
`static java.lang.String` | `cName`
`static int` | `I_ROUND_ROBIN_1_BY_1`
`static int` | `I_SET`
`static SelectionType` | `ROUND_ROBIN_1_BY_1`
`static java.lang.String` | `S_ROUND_ROBIN_1_BY_1`
`static java.lang.String` | `S_SET`
`static SelectionType` | `SET`

Method Summary
`boolean` | `equals(java.lang.Object object)`
`int` | `getInt()`
`static SelectionType` | `getObject(java.lang.String token)`
`java.lang.String` | `getString()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final java.lang.String cName

### I_ROUND_ROBIN_1_BY_1

    public static final int I_ROUND_ROBIN_1_BY_1

### I_SET

    public static final int I_SET

### ROUND_ROBIN_1_BY_1

    public static final SelectionType ROUND_ROBIN_1_BY_1

### SET

    public static final SelectionType SET

### S_ROUND_ROBIN_1_BY_1

    public static final java.lang.String S_ROUND_ROBIN_1_BY_1

### S_SET

    public static final java.lang.String S_SET

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### getString

    public java.lang.String getString()

### getInt

    public int getInt()

### getObject

    public static SelectionType getObject(java.lang.String token)

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved